% This file is part of the journal article "Semi-automated statistical 
% discontinuity analyses from scan-line data"
% Copyright (C) 2022 Christian Zangerl, Thomas Strauhal, Matthias Koppensteiner
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
% GNU General Public License for more details (http://www.gnu.org/licenses/).

% STEP III
% selection and filtering of joint set data

% load all measured spacing data (3 column dat-file)
% data "discontinuity number" "scanline-number" "intersection distance"
clear
load "spacing_data.dat"

% load joint set filter data (1 column dat-file)
% data "discontinuity number"
load "set1_data.dat"
load "set2_data.dat"
load "set3_data.dat"

%filter data for each joint set and save to a new variable
spacing_set1=spacing_data(set1_data,:)
spacing_set2=spacing_data(set2_data,:)
spacing_set3=spacing_data(set3_data,:)

% save and write mat-file for spacing calculation
save spacing_set1-3.mat